Package lxml :: Package tests :: Module test_io :: Class IOTestCaseBase |
[frames] | no frames]

# Class IOTestCaseBase

source code

                   object --+
                            |
            unittest.TestCase --+
                                |
    common_imports.HelperTestCase --+
                                    |
                                   IOTestCaseBase

Known Subclasses:
  - ETreeIOTestCase
  - , ElementTreeIOTestCase

(c)ElementTree compatibility for IO functions/methods

Nested Classes
Inherited from `unittest.TestCase`: `failureException`

Instance Methods
setUp(self) Setting up a minimal tree | source code
tearDown(self) Hook method for deconstructing the test fixture after testing it. | source code
getTestFilePath(self, name) | source code
buildNodes(self, element, children, depth) | source code
test_tree_io(self) | source code
test_write_filename(self) | source code
test_module_parse_gzipobject(self) | source code
test_class_parse_filename(self) | source code
test_class_parse_filename_remove_previous(self) | source code
test_class_parse_fileobject(self) | source code
test_class_parse_unamed_fileobject(self) | source code
test_module_parse_large_fileobject(self) | source code
test_module_parse_fileobject_error(self) | source code
test_module_parse_fileobject_late_error(self) | source code
test_module_parse_fileobject_type_error(self) | source code
Inherited from `common_imports.HelperTestCase`: `parse` Inherited from `unittest.TestCase`: `__call__`, `__init__`, `__repr__`, `__str__`, `assertAlmostEqual`, `assertAlmostEquals`, `assertEqual`, `assertEquals`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertRaises`, `assertTrue`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `shortDescription` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
| etree = `None`
Inherited from `common_imports.HelperTestCase`: `assertFalse`

Properties
Inherited from `object`: `__class__`

Method Details

### setUp(self) | source code
Setting up a minimal tree Overrides: unittest.TestCase.setUp

### tearDown(self) | source code
Hook method for deconstructing the test fixture after testing it. Overrides: unittest.TestCase.tearDown (inherited documentation)